4 Replies Latest reply on Apr 1, 2014 12:20 PM by moriega

    How can I remove 4.0 agent and install 4.8 agent on clients from ePO?

    stev379

      With both the 4.0 and 4.8 agents in my repository, how do I deploy things from ePO so the 4.0 agent is removed and the 4.8 agent is left installed?

       

      ePO 5.0.1

      Agent 4.8.0.887

      Clients: Win 7 64bit

      2500 clients total - mostly 4.8 agents

       

      Old Agent installs

      4.0.0.1496 - 148 clients

      4.0.0.1180 - 136 clients

       

      ePO had only the 4.8 agent in the repository. McAfee was onsite for an unrelated presentation and told me I need the 4.0 agent in my master repository in order for it to be uninstalled from those clients. I've now got the 4.0 agent in my repository, but I don't know what I'm supposed to do to get the removals going.

       

      Query?

      AutoResponse?

      Help meeeeeee......

       

       

      I do have other deployments options, but I'd like to see if this can be done from ePO.

       

      Thanks

        • 1. Re: How can I remove 4.0 agent and install 4.8 agent on clients from ePO?
          JoeBidgood
          ... I need the 4.0 agent in my master repository in order for it to be uninstalled from those clients.

           

          Strictly speaking that's not true - as you're trying to upgrade the agent, then all you need to do is schedule a deployment task, set to install the 4.8 agent, and it will do an in-place upgrade of the 4.0 agents.

           

          HTH -

           

          Joe

          • 2. Re: How can I remove 4.0 agent and install 4.8 agent on clients from ePO?
            stev379

            One would think so, but the clients with the 4.0 agent won't communicate with our ePO server well enough to upgrade. We did upgrade the server OS from 2003 to 2008 last summer, but we were already deploying the 4.6 agent for a while by then. So I don't think it's a matter of the different server. Those 4.0 agents have been out there for a while. Until I remove the 4.0 agent, I haven't been able to deploy the 4.8 agent. A McAffe technician who was onsite for a presentation said we need to have the 4.0 agent in our repository in this case.

             

            I agree with your comment, but haven't seen it work.

             

            Is there any scenerio where the old 4.0 agents could have embedded credentials? I haven't always been the only one to manage this ePO server.

            • 3. Re: How can I remove 4.0 agent and install 4.8 agent on clients from ePO?
              JoeBidgood

              Do the 4.0 agents communicate with the server at all? If they are, then they should be able to receive and run a deployment task to install the 4.8 agent. If this isn't working it's either because they are not receiving the task, or they are receiving it but not running it, or they are receiving it and running it but the install itself is failing. It's possible for an agent on a machine to be broken in such a way that the it prevents the installation of a newer version - if that's what's happening in your case I'd open a case with Support, as there are some tools that can correct this enough to allow the new agent to install.

              If they are not communicating, then you'll need to deploy the 4.8 agent from the ePO server, either by sending an agent install from the console, or by manually running the framepkg.exe (taken from the master repository) on the affected clients.

               

               

              HTH -

               

              Joe

              • 4. Re: How can I remove 4.0 agent and install 4.8 agent on clients from ePO?
                moriega

                If you are still unable to do what Joe suggested above, you may want to look at deploying the agent via SCCM, Altiris or some other client management system that you have configured in your environment.